function battle_zai024(npcID) --苍暇

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	local n=flag.GetBattleValue(16001)  --回合计数
   -- local m=flag.GetBattleValue(16002)
	--local hp=battle.GetSelfHP(2)
	if n~=3 then
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then
			n=n+1
			flag.SetBattleValue(12057,n)
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击

		else
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1036,1)   --法术
			flag.SetBattleValue(12057,0)
		end

	else
		id = battle.GetRndPlayer()
		battle.MagicToPlayer(id,1036,1)
		flag.SetBattleValue(12057,0)
	end
end